SoVRMLSensor(3)

NAME
SoVRMLSensor - The SoVRMLSensor class is an abstract superclass for VRML sensors.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLSensor.h>

Inherits SoNode.

Inherited by SoVRMLDragSensor.

  Public Member Functions
virtual SoType getTypeId (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFBool isActive
SoSFBool enabled

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLSensor class is an abstract superclass for VRML sensors.

Member Function Documentation

  SoType SoVRMLSensor::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLSensor::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

Reimplemented in SoVRMLCylinderSensor, SoVRMLDragSensor, SoVRMLPlaneSensor, and SoVRMLSphereSensor.

  const SoFieldData ** SoVRMLSensor::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLSensor::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

Reimplemented in SoVRMLCylinderSensor, SoVRMLDragSensor, SoVRMLPlaneSensor, and SoVRMLSphereSensor.

  void SoVRMLSensor::initClass (void) [static]

Author

Generated automatically by Doxygen for Coin from the source code.